Get teammate production settings
Retrieves production-specific settings for a lab member, including working intervals, access level, default room, and unassigned task visibility. Returns defaults if no settings are configured.
Retrieves production-specific settings for a lab member, including working intervals, access level, default room, and unassigned task visibility. Returns defaults if no settings are configured.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
memberId*string
Member ID
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/production/teammates/mem_123/settings"{ "settings": { "memberId": "string", "dailyUnitCapacity": 0, "workingIntervals": [], "unavailableDates": [], "accessLevel": "string", "showUnassignedTasks": true, "defaultRoomId": "string", "defaultRoom": { "id": "string", "name": "string", "color": "string", "createdAt": "string", "updatedAt": "string" }, "property1": null, "property2": null }}Empty
Empty